<template>
  <div />
  </template>
  
  <script lang="ts" setup>
// @ts-expect-error: 类型定义问题
    import { useRouter, useRoute } from 'vue-router';

// 添加组件名称
// @ts-expect-error: 类型定义问题
defineOptions({
  name: 'RedirectPage'
});
  
    const router = useRouter();
    const route = useRoute();
  
    const gotoPath = route.params.path as string;
  
    router.replace({ path: gotoPath });
  </script>
  
  <style scoped lang="less"></style>